<?

        include("setup.inc");
        include("libfun.php");

//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
        class Field {
                var $table;
                var $name;
                var $title;
                var $length;
                var $align;
                var $valid;
                var $type;
                var $link;
                var $value;
                var $selected;

                function Init( $table, $name, $title, $length, $link=false, $align, $valid="", $type="text", $value="", $selected="" ){
                        $this->table    = $table;
                        $this->name     = $name;
                        $this->title    = $title;
                        $this->length   = $length;
                        $this->link     = $link;
                        $this->align    = $align;
                        $this->valid    = $valid;
                        $this->type     = $type;
                        $this->value    = $value;
                        $this->selected = $selected;
                }

        }

//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------
//----------------------------------------------------------------------------------------------------

        class Table {

                var $name;
                var $driver;
                var $server;
                var $user;
                var $pass;
                var $dbname;
                var $fields;
                var $rs;


                function Init( $table, $server="", $user="", $pass="", $name="", $driver="" ){
                        global $dbdriver, $dbserver, $dbuser, $dbpass, $dbname;

                        if( empty( $server ) ){$server=$dbserver;}
                        if( empty( $user   ) ){$user  =$dbuser  ;}
                        if( empty( $pass   ) ){$pass  =$dbpass  ;}
                        if( empty( $name   ) ){$name  =$dbname  ;}
                        if( empty( $driver ) ){$driver=$dbdriver;}
                        $this->name      = $table;
                        $this->driver    = $driver;
                        $this->server    = $server;
                        $this->user      = $user;
                        $this->pass      = $pass;
                        $this->dbname    = $name;
                        $this->fields    = array();
                }


                function dbConnect(){
                        if( empty( $this->db ) ){
                                $this->db        = &ADONewConnection($this->driver);
                                $this->db->debug = false;
                                $this->db->PConnect($this->server, $this->user, $this->pass, $this->dbname);
                        }
                }

                //----------------------------------------------------------------------------------------------------
                function AddField( $table, $name, $title, $length=0, $link=false, $align="center", $valid="", $type="text", $value="", $selected="" ){
                        $i = new Field;
                        $i->Init( $table, $name, $title, $length, $link, $align, $valid, $type, $value, $selected );
                        $this->fields[] = $i;
                }


                function AddSelectM( $table, $name, $title, $value, $selected="", $length ){
                        $this->AddSelect( $table, $name, $title, $value, $selected, $length );
                }

                function AddSelect( $table, $name, $title, $value, $selected="", $length="1" ){
                        $link=false;
                        $align="center";
                        $valid="";
                        $type="select";
                        $i = new Field;
                        $i->Init( $table, $name, $title, $length, $link, $align, $valid, $type, $value, $selected );
                        $this->fields[] = $i;
                }
                //----------------------------------------------------------------------------------------------------
                function Search($search){

                        if( empty( $search ) ){
                                $search = "select * from ".$this->name;
                        }
                        $this->Exec( $search );
                }

                function Exec($search){

                        if( empty( $search ) ){
                                echo "La sentencia es vacia ...";
                        }
                        $this->dbConnect();
                        $this->rs = $this->db->Execute( $search );
                }

                function AltaRec($form, $align="center" ){
                        $this->Get( $form, $align, true );
                }

                function ModiRec($form, $align="center" ){
                        $this->Get( $form, $align, false );
                }

                //----------------------------------------------------------------------------------------------------
                function Get($form, $align="center", $alta ){
                        global $formbgd;

                        if( empty( $form ) )              { echo "No se definio form de retorno ..."; return ; }
                        if( ! count( $this->fields > 1 ) ){ echo "No estan definidos los campos que se van a mostrar ..."; return ;}
                        JSConfirma();
                        echo '<div align="'.$align."\">\n";
                        echo "<form action=\"".$form."\" method=\"POST\">\n";
                        echo "<table width=80% cellpading=0 cellspacing=1 border=0>\n";
                        //echo '<tr bgcolor="'.$formbgd."\">\n";
                        // Arma un form con una tabla donde aparecen las descripciones y
                        // los campos en forma vertical
                        for($i = 0; $i < count($this->fields); $i++){
                                $f = $this->fields[$i];
                                echo "<tr>\n<td>".$f->title."</td><td>:</td><td>" ;
                                if( $f->link && ! $alta ){
                                        // Si es clave entonces no se puede modificar
                                        echo $this->rs->fields[$f->name];
                                        echo "<INPUT TYPE=hidden NAME=".$f->name." VALUE=\"".$this->rs->fields[$f->name]."\">";
                                }else{
                                        if( strtoupper($f->type)=="SELECT" ){
                                                if( $f->length == 1 ){
                                                        FormSelect( $f->name, $f->value, $f->selected );
                                                }else{
                                                        FormSelectM( $f->name, $f->value, $f->selected, $f->length );
                                                }
                                        }else{
                                                echo "<INPUT TYPE=".$f->type." NAME=".$f->name." SIZE=".$f->length.
                                                     " MAXLENGTH=".$f->length." VALUE=\"".$this->rs->fields[$f->name]."\">";
                                        }
                                }
                                echo "</td>\n</tr>\n";
                        }
                        echo "</table>\n<br><br>";
                        echo "<INPUT TYPE=hidden NAME=frmupd VALUE=\"SI\">";
                        if( $alta ){
                                FormSubmit( "accion", "Nuevo","Ingresar un NUEVO REGISTRO" );
                        }else{
                                FormSubmit( "accion", "Modificar","Modificar el REGISTRO" );
                                FormSubmit( "accion", "Eliminar","Eliminar el REGISTRO" );
                        }
                        echo "</form>\n";
                        echo "</div>\n";

                }


                //----------------------------------------------------------------------------------------------------
                function Show( $search, $border=0, $align="center" ){

                        $this->ABMForm( " ", $search, $border, $align, false );
                }


                //----------------------------------------------------------------------------------------------------
                function ABMForm( $form, $search="", $border=0, $align="center", $edit=true ){
                        global $tablehdr, $tableon, $tableout;

                        if( count( $this->fields > 1 ) ){

                                $this->Search( $search );

                                if($this->rs){
                                        echo '<div align="'.$align.'">';
                                        if( $edit ){
                                                echo '<form action="'.$form."?accion=alta\" method=\"POST\">\n";
                                                echo "          <input type=\"submit\" name=\"form_alta\" value=\"Nuevo\">\n";
                                        }
                                        echo '<table width=100% cellpading=0 cellspacing=1 border="'.$border."\">\n";
                                        echo '<tr bgcolor="'.$tablehdr."\">\n";
                                        for($i = 0; $i < count($this->fields); $i++){
                                                $f = $this->fields[$i];
                                                echo '<th';
                                                if( $f->length > 0 ){ echo ' width="'.$f->length.'%"'; }
                                                echo '><div align="'.$f->align.'">'.$f->title."</div></th>\n";
                                        }
                                        echo "</tr>\n";
                                        $accion="modi";
                                        while(!$this->rs->EOF){
                                                echo "\n  <tr bgcolor=".$tableout." onmouseover=\"javascript:style.background='".$tableon."'\" onmouseout=\"javascript:style.background='".$tableout."'\">\n";
                                                for($i = 0; $i < count($this->fields); $i++){
                                                        $anchora="";
                                                        $anchorc="";
                                                        $f = $this->fields[$i];
                                                        $alinea='<div align="'.$f->align.'">';
                                                        if( $edit && $f->link ){
                                                                $anchora='<a href="'.$form.'?accion=modi&';
                                                                $anchora.=$f->name.'='.$this->rs->fields[$f->name].'">';
                                                                $anchorc="</a>";
                                                        }
                                                        echo '<td>'.$alinea.$anchora;
                                                        echo $this->rs->fields[$f->name].$anchorc.'</div></td>'."\n";
                                                }
                                                echo "</tr>\n";
                                                $this->rs->MoveNext();
                                        }
                                        echo "</table>\n";
                                        if( $edit ){
                                                echo "</form>\n";
                                        };
                                        echo "</div>\n";
                                }else{
                                        echo "No se encontraron registros ...";

                                }
                                $this->db->close();
                        }else{
                                echo "No estan definidos los campos que se van a mostrar ...";
                        }

                }
        }


?>
