<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<html>
<head>
  <title>Llamadas por Interno</title>
  <LINK REL=StyleSheet HREF="style.css" TYPE="text/css" MEDIA="screen,print">
</head>
<body>
   <?php

      include( 'config.inc' );
      $db = pg_Connect ("host=$dbserver dbname=$dbname user=$dbuser password=$dbpass");

      if (!$db) {
          echo "An error occured.\n";
          exit;
      }

      echo "  <h4>Lista de Llamadas por interno</h4><br><br>
                Desde : $fecha1 <br>
                Hasta : $fecha2 <br>
                Interno : $nroint <br><hr><br><br>";

      $query ="select distinct on (fecha, numrec) ".
              " fecha,interno,linea,numero,duracion,costo,c.nombre,s1.codigo,segundos,numrec " .
	      "from (select * from log l where l.interno='".$nroint."' and ".
	      "	      l.fecha between '".$fecha1."' and '".$fecha2."' and ".
              "	      l.numero !~ 'incoming' ) as s1 " .
              "left join clientes c on ".
              "    (substr(s1.numero,1,length(rtrim(c.telefono))) = rtrim(c.telefono)) ".
              "order by s1.fecha ;";
      //echo "$query";
      $result=pg_exec ( $db, $query );

      if (!$result) {
          echo "An error occured.\n";
          exit;
      }
      echo "<table>";
      $total=0;
      $totseg=0;
      echo "<tr>" ;
	echo "<td>Fecha</td>";
	echo "<td>Lnea</td>";
	echo "<td>Nmero</td>";
	echo "<td>Duracin</td>";
	echo '<td><div align="right">Costo</div></td>';
	echo "<td>Quien</td>";
	echo "<td>Nombre</td>";
     	echo "</tr>";

	for ( $i=0; $i < pg_NumRows( $result ); $i++ ) {
		$arr = pg_fetch_array( $result, $i );
		echo "<tr>" ;
		echo "<td>" . substr( $arr[ 0 ], 0, strlen( $arr[0] ) - 6 ) . "</td>";
		echo '<td><div align="center">' . $arr[ 2 ] . "</div></td>";
		echo "<td>" . $arr[ 3 ] . "</td>";
		echo "<td>" . $arr[ 4 ] . "</td>";
		echo '<td><div align="right">' . $arr[ 5 ] . "</div></td>";
		echo "<td>" . $arr[ 7 ] . "</td>";
		echo "<td>" . $arr[ 6 ] . "</td>";
     		echo "</tr>";
		$total += substr(  str_replace( ",", "", $arr[5] ), 1 );
		$totseg += $arr[8];
	}
	echo '<tr>' .
	     '  <td>Total&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cant:</td> ' .
	     '	<td><b><div align="center"> ' . $i . '</div></b></td> ' .
	     '	<td></td> ' .
	     ' <td><div align="center"><b>' . intval( $totseg/60 ) . ":" . $totseg % 60 . '</b></div></td>' .
	     ' <td><div align="right"><b>$' . sprintf( "%.2f", $total ) . "</b></td></tr>";
	echo "</table>";

   ?>

</body>
</html>


