<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0//EN">
<html>
<head>
  <title>Lista de Llamadas por Nmero</title>
  <LINK REL=StyleSheet HREF="style.css" TYPE="text/css" MEDIA="screen,print">
</head>
<body>

   <?php
        include( 'config.inc' );
        $db = pg_Connect ("host=$dbserver dbname=$dbname user=$dbuser password=$dbpass");


        if (!$db) {
            echo "An error occured.\n";
            exit;
        }

        echo "
                <h4>Lista de Llamadas por Persona</h4><br><br>
                Desde : $fecha1 <br>
                Hasta : $fecha2 <br>
                Persona : $usr <br>
		Filtro : <".$filtro."> ". ( $filtro == "all" ? "TODOS" : ( $filtro == "com" ? "Comerciales":"Particulares" ) )."<hr><br><br>";

       if( $filtro == "per" ){
       $query ="select distinct on (fecha, numrec) ".
              "fecha,interno,linea,numero,duracion,costo,NULL as nombre, NULL as codigo,segundos,numrec " .
	      "from (".
	      "         select fecha,interno,linea,numero,duracion,costo,segundos,numrec".
	      "         from log ".
              "         where  codigo='$usr' and ".
	      "                fecha between '$fecha1' and '$fecha2' and ".
              "	               numero !~ 'incoming' ".
	      "         except ".
              "         select fecha,interno,linea,numero,duracion,costo,segundos,numrec".
              "         from log l, (   select telefono,nombre from personales where codigo <> '$usr'" .
	      "                         union" .
              "                         select telefono,nombre from clientes  order by telefono ) as c" .
              "         where   l.fecha between '$fecha1' and '$fecha2' and".
	      "                 l.numero !~ 'incoming' and".
	      "                 l.codigo = '$usr' and".
	      "                 (substr(l.numero,1,length(rtrim(c.telefono))) = rtrim(c.telefono))".
	      " ) as s1 ".
              " order by s1.fecha,s1.numrec ;";
       }else{
       $query ="select distinct on (fecha, numrec) ".
              " fecha,interno,linea,numero,duracion,costo,c.nombre,s1.codigo,segundos,numrec " .
	      "from (select * from log l where l.codigo='$usr' and ".
	      "	      l.fecha between '$fecha1' and '$fecha2' and ".
              "	      l.numero !~ 'incoming' ) as s1 " . ($filtro != "com" ? "left" : "") .
              " join (   select telefono,nombre from personales where codigo <> '$usr'" .
	      "          union" .
              "          select telefono,nombre from clientes  order by nombre ) as c on ".
              "    (substr(s1.numero,1,length(rtrim(c.telefono))) = rtrim(c.telefono)) ".
              "order by s1.fecha ;";
        }
        // echo "$query";

        $result=pg_exec ( $db, $query );

        if (!$result) {
            echo "An error occured.\n";
            exit;
        }
        echo "<table>";
        $total=0;
        $totseg=0;
        echo "<tr>" ;
        echo "<td>Fecha</td>";
        echo "<td>Lnea</td>";
        echo "<td>Interno</td>";
	echo "<td>Numero</td>";
        echo "<td>Duracin</td>";
        echo '<td><div align="right">Costo</div></td>';
        echo "<td>Quin</td>";
	echo "<td>Nombre</td>";
        echo "</tr>";

        for ( $i=0; $i < pg_NumRows( $result ); $i++ ) {
                $arr = pg_fetch_array( $result, $i );
     		echo "<tr>" ;
  		echo "<td>" . substr( $arr[ 0 ], 0, strlen( $arr[0] ) - 6 ) . "</td>";
		echo '<td><div align="center">' . $arr[ 2 ] . "</div></td>";
		echo "<td>" . $arr[ 1 ] . "</td>";
		echo "<td>" . substr( $arr[ 3 ], 0, 15 ).(strlen( trim($arr[3]) ) > 15 ? "..." : "") . "</td>";
		echo "<td>" . $arr[ 4 ] . "</td>";
		echo '<td><div align="right">' . $arr[ 5 ] . "</div></td>";
		echo "<td>" . $arr[ 7 ] . "</td>";
		echo "<td>" . $arr[ 6 ] . "</td>";
     		echo "</tr>";

                $total += substr(  str_replace( ",", "", $arr[5] ), 1 );
		$totseg += $arr[8];
        }
	echo    '<tr>' .
	        '  <td>Total&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cant:</td> ' .
                '	<td><b><div align="center"> ' . $i . '</div></b></td> ' .
        	'	<td></td><td></td> ' .
		' <td><div align="center"><b>' . intval( $totseg/60 ) . ":" . $totseg % 60 . '</b></div></td>' .
		' <td><div align="right"><b>$' . sprintf( "%.2f", $total ) . "</b></td></tr>";
   	echo "</table>";

   ?>

</body>
</html>
